shishi_encprivpart_set_user_data(3)

NAME
shishi_encprivpart_set_user_data - API function

SYNOPSIS
#include <shishi.h>

int shishi_encprivpart_set_user_data(Shishi * handle, Shishi_asn1 encprivpart, const char * userdata, size_t userdatalen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 encprivpart
    encprivpart as allocated by shishi_priv().

const char * userdata
    input user application to store in PRIV.

size_t userdatalen
    size of input user application to store in PRIV.

DESCRIPTION
Set the application data in PRIV.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.